summaryrefslogtreecommitdiffstats
path: root/desktop/lxmenu-data/lxmenu-data.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/lxmenu-data/lxmenu-data.SlackBuild')
-rw-r--r--desktop/lxmenu-data/lxmenu-data.SlackBuild21
1 files changed, 10 insertions, 11 deletions
diff --git a/desktop/lxmenu-data/lxmenu-data.SlackBuild b/desktop/lxmenu-data/lxmenu-data.SlackBuild
index 433c8f8585..f1368ae94b 100644
--- a/desktop/lxmenu-data/lxmenu-data.SlackBuild
+++ b/desktop/lxmenu-data/lxmenu-data.SlackBuild
@@ -22,37 +22,37 @@
# SUCH DAMAGE.
# -----------------------------------------------------------------------------
#
-# Slackware SlackBuild script
+# Slackware SlackBuild script
# ===========================
# By: Eric Hameleers <alien@slackware.com>
# For: lxmenu-data
# Descr: LXDE menu data
# URL: http://lxde.sourceforge.net/
-# Needs:
-# Changelog:
+# Needs:
+# Changelog:
# 0.1.1-1: 11/sep/2009 by Eric Hameleers <alien@slackware.com>
# * Initial build.
# 20100825_5e1e8e1 12/sep/2010 by ponce <matteo.bernardini@gmail.com>
# * Adapted to slackbuilds.org's autotools template.
# * updated to git snapshot.
-#
+# 0.1.2-1: 26/dec/2011 by ponce <matteo.bernardini@gmail.com>
+# * updated.
+#
# Run 'sh lxmenu-data.SlackBuild' to build a Slackware package.
-# The package is created in /tmp .
-# Install using 'installpkg'.
+# The package is created in /tmp.
+# Install using 'installpkg'.
#
# -----------------------------------------------------------------------------
PRGNAM=lxmenu-data
-VERSION=${VERSION:-20100825_5e1e8e1}
+VERSION=${VERSION:-0.1.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -97,7 +97,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-sh autogen.sh
+sh autogen.sh || true
LDFLAGS="$SLKLDFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -108,7 +108,6 @@ LIBS="-lm" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var \
--sysconfdir=/etc \
- --mandir=/usr/man \
--program-prefix= \
--program-suffix= \
--build=$ARCH-slackware-linux